#### D.5.15.10 CenterBO

Procedure from library `resolve.lib` (see resolve_lib).

Usage:
  CenterBO(BO);
  BO = basic object, a list: ideal W,
  ideal J,
  intvec b,
  list Ex,
  ideal ab,
  intvec v,
  intvec w,
  matrix M

Assume:
  R = basering, a polynomial ring, W an ideal of R,
  J = ideal containing W

Compute:
  the center of the next blow-up of BO in the resolution algorithm of [Bravo,Encinas,Villamayor]

Return:
  list l,
  l[1]: ideal describing the center
  l[2]: intvec w obtained in the process of determining l[1]
  l[3]: intvec b obtained in the process of determining l[1]
  l[4]: intvec inv obtained in the process of determining l[1]

Example:

    LIB "resolve.lib";
    ring R=0,(x,y),dp;
    ideal W;
    ideal J=x2-y3;
    intvec b=1;
    list E;
    ideal abb=maxideal(1);
    intvec v;
    intvec w=-1;
    matrix M;
    list BO=W,J,b,E,abb,v,w,M,v;
    CenterBO(BO);
    ==> [1]:
    ==>    _[1]=y
    ==>    _[2]=x
    ==> [2]:
    ==>    -1
    ==> [3]:
    ==>    2
    ==> [4]:
    ==>    0

User manual for Singular version 4.4.1, 2025, generated by texi2html.